#include "KinectImagePluginFactory.h"
#include "KinectImagePlugin.h"

#include <QtPlugin>

KinectImagePluginFactory::KinectImagePluginFactory()
{
}

KinectImagePluginFactory::~KinectImagePluginFactory()
{
}

ritk::ImageTypePlugin*
KinectImagePluginFactory::CreateInstance()
{
	return new KinectImagePlugin();
}

QString
KinectImagePluginFactory::GetName()
{
	return tr("KinectImage");
}

QString
KinectImagePluginFactory::GetDescription()
{
	return tr("SDK independent Kinect image class");
}


Q_EXPORT_PLUGIN2(KinectImage, KinectImagePluginFactory)
